function [alpha,x0,x0e] = designcurves()

%--------------------------------------------------------------------------
% what: function plotting design curves, alpha-area, x0-area. and comparing
% when: 21 April 2013
% Author: Karoline Neumann
%--------------------------------------------------------------------------

alpha = [20    8    8    7    5.5   6.5   5    5.5  5   5   6   6   5   5   5.5     5.5 6   6   6   8   8   9   10  15  12  13  ];
x0 =    [-24   37   32   28   26     19    19   16   15  15  11  9   10  10  9       9   6   8   7   3   0   0   0   -2  -1  -3  ];
% x0e =   [-150  -13  -18  -15  -8    -21   -12  -18  -16 -16 1.5 -28 -21 -21 -25     -25 -31 -28 -29 -45 -49 -54 -59 -89 -71 -78 ];
x0e =     [-150  -7   -9   -6   1     -10   -2   -7    -5  -4 -12   -13 -9  -8  -10     -10 -13 -11 -11 -21 -25 -26 -28 -41 -32.5 -36 ];

a=1:26;
a = a*0.010911*9.16458*10^-3;

plot(a,alpha,'*')

figure
plot(a,x0,'*')
hold on
plot(a,x0e,'+')

alphafull = alpha*25;
x0full = x0*25;
x0efull = x0e*25;

afull = a*25^2;

figure
plot(afull,1.25.*afull.^-0.7,'color','red')
title('design-curve')
xlabel('area [m^2]')
ylabel('alpha [MPa]')
hold on
plot(afull,alphafull/1000,'*')
plot(afull,0.12.*afull.^-0.78,'color','green')
plot(afull,0.07.*afull.^-0.7)
legend('design curve from Jordaan1993','data from tests','polar sea bering89','best fit to lower area data C=0.07, D=-0.7')

figure
plot(afull,alphafull/1000,'*')
title('design-curve')
xlabel('area [m^2]')
ylabel('alpha [MPa]')
hold on 
plot(afull,0.12.*afull.^-0.78,'color','green')
plot(afull,0.07.*afull.^-0.7)
legend('data','polar sea bering86','best fit to lower area data, C=0.07, D= -0.7')
axis([0 afull(length(afull)) 0 1])

figure
plot(afull,x0full/1000,'*')
hold on
plot(afull,x0efull/1000,'+')
plot(afull,zeros(length(afull),1))
legend('data','data (adjusted for exposure)')
xlabel('area [m^2]')
ylabel('x0 [MPa]')


