function [mcells] = exposed(spevent,sortsum)

%--------------------------------------------------------------------------
% what: function finding mcells; number of cells in the censoring matrix 
% that has ever been triggered = "exposed cells". Plotting cummulative sum
% with different color saturation
% Date: 12 March 13
% Author: Karoline Neumann
%--------------------------------------------------------------------------

m(1,1) = spevent(1,4);
m(1,2) = spevent(1,5);
n = 1;

for t = 1:length(spevent)
    S = size(m);
    p = 0;
    for k = 1:S(1,1)
        if m(k,1) == spevent(t,4) && m(k,2) == spevent(t,5)
            break
        else
            p = p+1;
        end
        
        if p == S(1,1)
            m(n,1) = spevent(t,4);
            m(n,2) = spevent(t,5);
            n = n+1;
        end

    end
end

mcells = length(m);
matrix = zeros(30,48);

for n = 1:length(m)
    matrix(m(n,1),m(n,2)) = 1;
end
figure
imagesc(matrix);
xlabel('censoring columns')
ylabel('censoring rows')
title('all exposed cells')

matrix = zeros(30,48);
for q = 1:length(sortsum)
    matrix(sortsum(q,1),sortsum(q,2)) = sortsum(q,3);
end


figure
colormap(jet(100));
imagesc(matrix);
xlabel('censoring columns')
ylabel('censoring rows')
title('cummulative sum of cells represented by color. max is 29930')

figure
colormap(jet(100));
imagesc(matrix,[0 1000]);
xlabel('censoring columns')
ylabel('censoring rows')
title('cummulative sum of cells represented by color, upper bound 1000 of max 29930')

figure
colormap(jet(100));
imagesc(matrix,[0 100]);
xlabel('censoring columns')
ylabel('censoring rows')
title('cummulative sum of cells represented by color, upper bound 100 of max 29930')


