function [pevent] = findevents(data)

%--------------------------------------------------------------------------
% What: function taking in data from the input file, assigning adjecent
% values in each frame to one spatial event. pevent is a s follows
%
% | spatial eventnr | value | frame | i | j |
%
% Author: Karoine Neumann
% Last updated: 19 Feb 13
%--------------------------------------------------------------------------

frame = 1;
fstk = 0;       % counts triggered cells in each frame >th
stk = 0;        % counts every triggered cell >th
eventnr = 0;
pevent = zeros;

%--------------------------------------------------------------------------
% for each frame
%--------------------------------------------------------------------------

for f = 1:8000
    
    matrix = data{f,1};
    fstk = 0;
    clear i j fstore
    fstore = zeros;                     % intermediate storage for value, i and j
    strf = ['f = ', num2str(f)];
            %disp(strf)
%--------------------------------------------------------------------------
% for each row and column in a given frame
%--------------------------------------------------------------------------    
    
    for i = 1:30                                                            % for each row
        for j = 1:48                                                        % and for each column
            stri = ['i = ', num2str(i)];
            %disp(stri);
            strj = ['j = ', num2str(j)];
            %disp(strj);
            existingnr = 0;
            
            
            if matrix(i,j) ~= 0 && matrix(i,j)>=th                          % if value is >0 and >th
                fstk = fstk +1;                                             % counts triggered cells within each frame
                stk = stk +1;                                               % counts total triggered cells in all frames 
                
                if i ~=1 && j ~=1 && j~=48                                  % if both indices different from 1
                    
                    if matrix(i,j-1)~=0 && matrix(i,j-1)>=th                % checking for left cell
                        [existingnr] = isevent(fstore,i,j-1);                  % if this cell has an eventnr, assign this number to eventnr
                        %continue
                        
                    elseif matrix(i-1,j)~=0 && matrix(i-1,j)>=th            % checking for cell over
                        [existingnr] = isevent(fstore,i-1,j);
                        %continue
                        
                    elseif matrix(i-1,j-1)~=0 && matrix(i-1,j-1)>=th        % checking for cell over left
                        [existingnr] = isevent(fstore,i-1,j-1);
                        %continue
                        
                    elseif matrix(i-1,j+1)~=0 && matrix(i-1,j+1)>=th        % check for cell over right
                        [existingnr] = isevent(fstore,i-1,j+1);
                        %continue
                        
                    else
                        eventnr = eventnr +1;                               % if no event exists in adjecent cells passed by i and j, assign new event
                        
                    end
                    
                elseif i ==1 && j ~=1                                       % if it's in first row, but not in first column
                    
                    if matrix(i,j-1)~=0 && matrix(i,j-1)>=th                % check only for left cell
                        [existingnr] = isevent(fstore,i,j-1);
                        %continue
                    else
                        eventnr = eventnr +1;
                    end
                    
                elseif j ==1 && i ~= 1                                      % if it's in first column, but not in first row
                    
                    if matrix(i-1,j)~=0 && matrix(i-1,j)>=th                % check for cell over
                        [existingnr] = isevent(fstore,i-1,j);
                        %continue
                        
                    elseif matrix(i-1,j+1)~=0 && matrix(i-1,j+1)>=th        % check for cell over right
                        [existingnr] = isevent(fstore,i-1,j+1);
                        %continue
                    else
                        eventnr = eventnr +1;
                    end
                    
                elseif j==48 && i ~=1                                       % if it's the rightmost column
                    if matrix(i-1,j)~=0 && matrix(i-1,j)>=th                % check for cell over
                        [existingnr] = isevent(fstore,i-1,j);
                        %continue
                        
                    elseif matrix(i-1,j-1)~=0 && matrix(i-1,j-1)>=th        % checking for cell over left
                        [existingnr] = isevent(fstore,i-1,j-1);
                        %continue
                        
                    elseif matrix(i,j-1)~=0 && matrix(i,j-1)>=th            % checking for left cell
                        [existingnr] = isevent(fstore,i,j-1);                  % if this cell has an eventnr, assign this number to eventnr
                        %continue
                    else
                        eventnr = eventnr +1;
                    end
                    
                elseif j ==48 && i ==1
                    if matrix(i,j-1)~=0 && matrix(i,j-1)>=th
                        [existingnr] = isevent(fstore,i,j-1);
                    else
                        eventnr = eventnr +1;
                    end
                

                else
                    
             
                end
            
                if existingnr~=0
                    pevent(stk,1)=existingnr;
                    fstore(fstk,1)=existingnr;
                elseif existingnr==0
                    pevent(stk,1) = eventnr;
                    fstore(fstk,1) = eventnr;
                end
  
                                                   
                pevent(stk,2) = matrix(i,j);
                pevent(stk,3) = frame;
                pevent(stk,4) = i;
                pevent(stk,5) = j;
            
                fstore(fstk,2) = i;
                fstore(fstk,3) = j;
            else
                continue
            
            end
                
        end
    end
    
    
   frame = frame +1;
   

end
pevent;
