function [r,c]=longtranscumdist(sortsum)

%--------------------------------------------------------------------------
% taking in sortsum: | i | j | value | frame |
% plotting vertical(rows) cummulative distribution sum for whole series,
% and longitudinal (column) cummulative distribution for series / 10
% Date: 25th of May
% Author: Karoline Neumann
%--------------------------------------------------------------------------

clear r c

r(1,1) = sortsum(1,1);
r(1,2) = sortsum(1,3);
c(1,1) = sortsum(1,2);
c(1,2) = sortsum(1,3);

for k = 1:length(sortsum)
    R = size(r);
    p = 0;
    for l = 1:R(1,1)                                                        % going through r
        if sortsum(k,1)==r(l,1)                                             % if i exsists in r
            r(l,2) = r(l,2)+sortsum(k,3);                                   % add to cummulativ sum
            break
        else      
            p = p+1;
        end
    end
    
    if p == R(1,1)                                                          % if whole l loop is through without finding i
        r(R(1,1)+1,1) = sortsum(k,1);                                       % append row with i and value
        r(R(1,1)+1,2) = sortsum(k,3);
    end
end

bar(r(:,1),r(:,2))
title('vertical distribution of cummulative sums sensor rows')
xlabel('row of censor')
ylabel('cummulative sum of censor rows [kPa]')


sortsum = sortrows(sortsum,4);

delta1 = 1;
for m = 1:10
    delta2 = round((m/10)*length(sortsum));

for k = delta1:delta2
%for k = 1:length(sortsum)
    C = size(c);
    p = 0;
    for l = 1:C(1,1)                                                        % going through r
        if sortsum(k,2)==c(l,1)                                             % if i exsists in r
            c(l,2) = c(l,2)+sortsum(k,3);                                   % add to cummulativ sum
            break
        else      
            p = p+1;
        end
    end
    
    if p == C(1,1)                                                          % if whole l loop is through without finding i
        c(C(1,1)+1,1) = sortsum(k,2);                                       % append row with i and value
        c(C(1,1)+1,2) = sortsum(k,3);
    end
end
delta1 = delta2;


figure
bar(c(:,1),c(:,2))
title(['longitudinal distribution of cummulative sums sensor columns',num2str(m)])
xlabel('column of censor')
ylabel('cummulative sum of censor columns [kPa]')

clear c
c(1,1) = sortsum(delta2,2);
c(1,2) = sortsum(delta2,3);
end

% figure
% bar(c(:,1),c(:,2))
% title('longitudinal distribution of cummulative sums sensor columns')
% xlabel('column of censor')
% ylabel('cummulative sum of censor columns [kPa]')
