function [occ]= man(distcol,col,mcells,alpha,x0,x0e)

%--------------------------------------------------------------------------
% what: for manually fitting alpha, x0 and x0 exposed to data corresponding
% to each area. distcol input is one of the rows of dist produced from
% maxareadistr. for a given alpha, x0, x0e: plots the correspondng curve.
% everything in [kPa] and model scale
% when 21 April 2013
% Author: Karoline Neumann
%--------------------------------------------------------------------------

samples = distcol;
samples(samples==0)=[];
samples = sort(samples,'descend');
eqcells = mcells/col;
occ = length(samples);


for j = 1:length(samples)
    w(j,1) = j/(length(samples)+1);
    we(j,1) = j/(length(samples)*eqcells+1);
end

figure
plot(samples,-log(w),'*')
hold on

plot(samples,-log(we),'+')


x = 0:max(samples);

y = exp(-(x-x0)./alpha);
Y = exp(-(x-x0e)./alpha);
plot(x,-log(y));
plot(x,-log(Y),'--');

axis([0 max(samples) 0 -log(we(1))])
title(['probability plot for area corresponding to ', num2str(col),' cells'])
xlabel('pressure [kPa]')
ylabel('-log(p_e)')
legend('data','data adjusted for exposure','fit to data','fit to exposure adjusted data')

