function [dist] = maxareadistr(spevent,timevent)

%--------------------------------------------------------------------------
% what: function making model scale distributions using maximum event
% method for areas from 1 to 32 cells. dist is areas 1 to 32 in columns and
% distributions model scale [kPa] in rows. includes zeros (take away)
% when: 20 April 2013
% Author: Karoline Neumann
%--------------------------------------------------------------------------

y = 0;
levent = spevent(1,1);
ltevent = 1; % counts number of timevents
m = 1; % counter for nr of trig cells within spatial event
sdist(1) = spevent(1,2);
tdist = sdist;
timevent = sortrows(timevent,1);



for j = 2:length(timevent)                                                 % j counts total number of spatial events
   
    if timevent(j-1,1)~=timevent(j,1)                                      % it's a new timevent
        
        if j ==2
            cache1 = zeros(1,32);
            cache1(1:length(tdist)) = tdist;
            dist = cache1;
        else
            cache2 = zeros(1,32);
            cache2(1:length(tdist))=tdist;
            tdist = cache2;
            dist = [dist; tdist];                                           % sample data in rows for columns = areas
        end
        clear tdist sdist
        sdist = 0;
        tdist = 0;
        
    end
    
    [r] = zeros;
    [r] = find(spevent(:,1)==timevent(j,2));                                % rows in spevent of all trig cells within this j event
    for i=1:length(r)                                                       % going throug all cells in that spatial event
        sdist(i)=spevent(r(i),2);
    end
    sdist=sort(sdist,'descend');
    
    if j == 2                                                               % if it's the first time, make a tdist
        tdist = zeros(1,length(sdist));
    elseif length(sdist) > length(tdist)                                    % add zeros to tdist until length of sdist
        cache = zeros(1,length(sdist));
        cache(1,1:length(tdist)) = tdist;
        tdist = cache;
    end
    
    for k=1:length(sdist)
        if sdist(k)>tdist(k)
            tdist(k)=sdist(k);
        end
    end  
    
end 
