function [nbigload] = maxloads(spevent)

%--------------------------------------------------------------------------
% what: function taking in spevents. nbigload is [N] model scale
% the sum of all triggered cells within a spatial event and converting to 
% load nbigload -> | eventnr | numbers of triggered cells | p sum | f sum |
% date: 23 feb 13
% author: Karoline Neumann
%--------------------------------------------------------------------------

loadevent = zeros(1,4);
c = 0;  % counter for number of unique events

for i = 1:length(spevent)                                                   % going through spevent
%for i = 55:60
    S = size(loadevent);
    u = 0;
    for j = 1:S(1,1)                                                        % going through existing rows of loadevent
        if  spevent(i,1) == loadevent(j,1)                                  % if the event is already in loadevent
            loadevent(c,2) = loadevent(j,2) +1;                             % counting numbers of triggred cells within each event
            loadevent(c,3) = loadevent(j,3) + spevent(i,2);                 % adding pressure values for each triggered cell within an event
        else
            u = u +1;
        end
        
        if u == S(1,1)                                                      % if after looking through all of loadevent the event is not there
            c = c+1;
            loadevent(c,1) = spevent(i,1);                                  % new entry, new eventnr
            loadevent(c,2) = 1;
            loadevent(c,3) = spevent(i,2);

        else
            
        end
        
   end
end



for k = 1:length(loadevent)
   loadevent(k,4) = loadevent(k,3)*loadevent(k,2)*1000*(0.4801/48)*(0.4399/44); % converting from pressure to loads [N] no 0.64 needed pga. assuming constand pressure over whole cell -> load actng over whole cell
end

bigload = sortrows(loadevent,-4);
nbigload = bigload;


