function [Pf,marg,load,strength] = montecarlo(Ultload_my,Ultload_std,x0e,alpha,h,w,c,my)

%--------------------------------------------------------------------------
% what: performing monte carlo simulation of load and strength
% h, w height and width of one cell full scale m^2. col=column in dist =
% number of cells corresponding to area. 
% Date: 07 April 13
% Author: Karoline Neumann
%--------------------------------------------------------------------------

%x0e = x0e*(25/1000);  % MPa full scale
%alpha = alpha*(25/1000); % MPa full scale

clear i strength load marg
failafter = 0;
flag = 0;
why
    strength(1) = norminv(rand,Ultload_my,Ultload_std);
    %load(1) = x0l + alphal*(-log(-log(rand))+log(my));
    %load(1) = (0.889 + 0.412*(-log(-log(rand))+log(my)))*156000;          % from polar sea
    %load(1) =( x0lp + alphalp*(-log(-log(rand))+log(my)))*h*w*1000*25*c;                   % load from pressure one cell
    load(1) = (x0e + alpha*(-log(-log(rand))+log(my)))*h*w*(25/1000)*10^6*c;
    marg(1) = strength(1)-load(1);
    i = 1;
  
%while marg(i) > 0 && i<100000
%     i = i+1
for i = 1:10000
    strength(i) = norminv(rand,Ultload_my,Ultload_std);
    %load(i) = x0l + alphal*(-log(-log(rand))+log(my));                    
    %load(i) = (0.889 + 0.412*(-log(-log(rand))+log(my)))*156000;          % from polar sea. 156000 mm^2 area
    %load(i) = (x0lp + alphalp*(-log(-log(rand))+log(my)))*h*w*1000*25*c;
    load(i) = (x0e + alpha*(-log(-log(rand))+log(my)))*h*w*(25/1000)*10^6*c;
    marg(i) = strength(i)-load(i);
 if marg(i)<1 && flag~=1;
     failafter=i;
     flag = 1;
 end
end


dfittool(load)
dfittool(strength)
dfittool(marg)

xrange = linspace(min(marg),max(marg),10000);
binn=(max(marg)-min(marg))/10000;
N =hist(marg,10000);
agraf = sum(((max(marg)-min(marg))/10000)*N);
M = N/agraf;
en = sum(M*binn);

disp(num2str(en))

[r]=find(xrange<=0);
Pf=sum(M(r)*binn);
