function [my,y] = scenario(dpy,y,dist,col,mcells)

%--------------------------------------------------------------------------
% what: given a design scenario, days in compressive ice per year (dpy) and
% lifetime in ice (y), returns expected nr of impacts per year (my) and
% the return period given in input
% date: 11. April 2013
% Author: Karoline Neumann
%--------------------------------------------------------------------------


dist = dist(:,col);
dist(dist==0)=[];
eventsmodel = length(dist);
lambda = 25;
eventtime = 76.50-13.89;
fullscaletime = eventtime*sqrt(lambda);
eqcell = mcells/col;                                                       % "equivalent cells"
imppersecfull = (eventsmodel/fullscaletime)/eqcell;                        % impacts per second, per cell
my = dpy*24*3600*imppersecfull;                                            % expected number of inpacts per year
impscenario = my*y;






