function [c,i,Zreq,Z1,Z2,t,tp,Pf] = the_ring(dpy,y,dist,mcells,alpha,x0e,c)

%--------------------------------------------------------------------------
% what: function taking in the design scenario, days par year in
% compressive ice (dpy), return period (y), exposed cells, design
% parameters for distribution and number of cells exposed. It will make a
% structure either according to FSICR or based on the distribution with
% target scenario and make a monte carlo simulation to predict Pe
% date: 16th of May 2013
% Author: Karoline Neumann
%--------------------------------------------------------------------------

w=(0.4399/48)*25;
h = (0.4801/44)*25;
alpha = alpha(c);
x0e = x0e(c);

[my,y] = scenario(dpy,y,dist,c,mcells);
rep = y;

[Pep,Pel,zp,zl]=designloadreturn(my,rep,275,0,alpha,x0e,c);

[Z1,A,t,Zreq,wh,wt,ft,fl,s,l,i,tp] = FSICR(zl,c);

[Ultload_my,Ultload_std,Z2] = strengthdist(wt,wh,ft,fl,s,tp,l);

[Pep,Pel,zp,zl]=designloadreturn(my,rep,275,Ultload_my,alpha,x0e,c);

[Pf,marg,load,strength] = montecarlo(Ultload_my,Ultload_std,x0e,alpha,h,w,c,my);







