function [maxevents] = timemax(spevent,timevent)

%--------------------------------------------------------------------------
% what: function finding Z = max(X1,X2...Xn) max triggerd cell within each
% timevent. maxevents:  | timevent | Z [kPa] |
% Date: 12 March 13
% Author: Karoline Neumann
%--------------------------------------------------------------------------

timevent = sortrows(timevent,1);
maxevents = zeros(1,2);
t = 1;  % counting events within a timevent
g = 0;  % counting distinct timevents

for i = 1:length(timevent)
    if i ~=1 && timevent(i,1) == timevent(i-1,1)                            % if it's the same timevent as last one
        r = zeros(1);
        [r] = find(spevent(:,1) == timevent(i,2));                          % row of the event in spevent (may be more) (all triggered cells in that event)
        for j = 1:length(r)                                                 % going through all the cells in given event
            if spevent(r(j),2) > maxevents(g,2)                             % if the event is bigger than the already saved one
                maxevents(g,2) = spevent(r(j),2);
            end
            t = t+1;
        end
        
    else                                                                    % if it's a new timevent
        t = 1;
        g = g+1;
        maxevents(g,1) = timevent(i,1);
        [r] = find(spevent(:,1) == timevent(i,2));
        maxevents(g,2) = spevent(r(1),2);
        
    end
end